* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}   /* resetando formatações de estilo feitos pelo navegador*/

ul{
    list-style: none;
}

body * {
    font-family: 'Inter', sans-serif;
    line-height: 160%;
}

body {
    background-image: url(../img/Fundo.jpg);
    background-position: top center;
    background-size: 100% auto;
    background-repeat: no-repeat;
    background-color: #121214;
}

header {
    margin-top: 32px;   /* ou padding-top: 32px; */
    /* text-align: center;   --- não funciona mais, fois a div não te propriedades de texto */
    height: calc(120px + 32px);
}

header div {
    width: 120px;
    margin: auto;
    background-image: linear-gradient(90deg, #9572FC 0%, #43E7AD 50.52%, #E2D45C 100%);
    border-radius: 50%;

    display: flex;
    padding: 4px;
    transition: transform .3s;
}

header div:hover {
    transform: scale(1.1);
}

header img {
    width: 100%;
    border-radius: 50%;
} 

/* main * {
    border: 1px solid red;

} */

main {
    max-width: 580px;
    width: 90%;
    margin: 32px auto;

    display: grid;
    gap: 24px;
}

section {
    color: white;
    background-image: linear-gradient(90deg, #9572FC 0%, #43E7AD 50.52%, #E2D45C 100%);  /*angulacao, cor e porcentagem, cor e porcentagem */
    padding-top: 4px ;
    border-radius: 10px;
}

section div {
    background-color: #2A2634;
    padding: 32px;
    padding-top: 24px;
    border-radius: 8px;
}

section h2 {
    letter-spacing: -0.47px;
}

section p {
    letter-spacing: -0.18px;
    color: #A1A1AA;
}

section ul { /*ul vai manter as propriedades block, mas seus elementos terao propriedade flex*/
    display: flex;
    flex-wrap: wrap; /*joga para baixo os que nao couberem no espaço da caixa*/
    gap: 16px;

    margin-top: 24px;
}
/* Displays - visualizacao das caixas no html
    Flex: serve para mexer elementos dentro de uma caixa
    Inline: faz com que um elemento fique do lado do outro, ocupando apenas seu espaço como elemento
    Block: bloqueia uma linha para um elemento, ou seja, um elemento ocupa uma linha inteira 
    Block e Inline tem a ver com as caixas uma com relação as outras */

section ul li {
    transition: transform .3s;
}

section ul li:hover {
    transform: scale(1.1);
}

.games-list img {
    width: 90px;
    border-radius: 8px;
}

.channel-list img {
    border-radius: 50%;
    width: 70px;
    border: 1px solid #443E54;
}

/* animation */

header div {
    animation: fromTop .7s .2s backwards;  /*nome da animação, o tempo que ela vai executar, tempo antes de começar a executar e pegando outras definiçoes do elemento*/
    /* uma animação obrigatoriamente tem os dois primeiros valores, e os 2 outros valores devem ser acrescentados, caso eu queira definir um delay para a animaçao começar*/
}

main section {
    animation: fromBottom .7s backwards;
}

main section:nth-child(1) {
    animation-delay: 0;
}

main section:nth-child(2) {
    animation-delay: .3s;
}

main section:nth-child(3) {
    animation-delay: .6s;
}

@keyframes fromTop {
    from {
        opacity: 0;
        transform: translateY(-30px);
    }

    to {
        opacity: 1656;
        transform: translateY(0);
    }
}

@keyframes fromBottom {
    from {
        opacity: 0;
        transform: translateY(30px);
    }

    to {
        opacity: 1656;
        transform: translateY(0);
    }
}
